Subject: bug#20645: closed (Re: bug#20645: sxml xpath exports "filter")

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 23 Jun 2016 16:44:02 +0000

Your bug report

#20645: sxml xpath exports "filter"

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20645: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20645
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20645: sxml xpath exports "filter"
From: Mark H Weaver <[email-masked]>
To: Matt Wette <[email-masked]>
Cc: [email-masked]
Date: Thu, 23 Jun 2016 12:42:55 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Mark H Weaver <[email-masked]> writes:

> Matt Wette <[email-masked]> writes:
>
>> This is a very annoying "bug".  The (sxml xpath) “filter” procedure overrides the builtin guile “filter”.
>>
>> I believe the fix can be implemented with the following changes to (sxml xpath):
>> 1) (define node-filter filter)
>> 2) In the #:export list, replace “filter” with “node-filter”
>
> We can't do this because it would break existing code that uses 'filter'
> from (sxml xpath), and also introduce a Guile-specific change to the API
> of a portable library.
>
> However, you can rename 'filter' at import time as follows:
>
>   (use-modules ((sxml xpath) #:select ((filter . node-filter))))
>
> Does this work for you?

Having not heard back for 19 weeks, I'm closing this bug now.

      Mark

Subject: sxml xpath exports "filter"
From: Matt Wette <[email-masked]>
To: [email-masked]
Date: Sun, 24 May 2015 08:34:21 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

sxml xpath exports "filter" which is incompatible with the common procedure of the same name.

I suggest renaming unless it breaks a lot of code.

I use

  #:use-module ((sxml xpath)
		#:renamer (lambda (s) (if (eq? s 'filter) 'xp-filter s)))

but would rather other agree that renaming in sxml/xpath.scm is better.

Matt